Join us May 13th & May 14th at Interrupt, the Agent Conference by LangChain. Buy tickets >
curl --request GET \
--url https://api.example.com/v1/integrations/github/{integration_id}/repos[
{
"host_integration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": 123,
"name": "<string>",
"owner": "<string>",
"url": "<string>",
"default_branch": "<string>"
}
]List available GitHub repositories for an integration that are available to deploy to LangSmith Deployment.
curl --request GET \
--url https://api.example.com/v1/integrations/github/{integration_id}/repos[
{
"host_integration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": 123,
"name": "<string>",
"owner": "<string>",
"url": "<string>",
"default_branch": "<string>"
}
]Documentation Index
Fetch the complete documentation index at: https://docs.langchain.com/llms.txt
Use this file to discover all available pages before exploring further.
GitHub integration ID.
Successful Response
GitHub Integration ID.
For example, in the POST /v2/deployments request body, set integration_id to the value of this field.
GitHub repository ID.
GitHub repository name.
GitHub repository owner.
GitHub repository URL.
For example, in the POST /v2/deployments request body, set source_config.repo_url to the value of this field.
GitHub repository default branch.
For example, in the POST /v2/deployments request body, set source_revision_config.repo_ref to the value of this field.
Was this page helpful?